curl --request GET \
--url https://sandbox-api.borderless.xyz/v1/identities/{identityId}/compliance-checks \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.borderless.xyz/v1/identities/{identityId}/compliance-checks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.borderless.xyz/v1/identities/{identityId}/compliance-checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"incorporatedTypes": [],
"incorporates": [],
"coverage": [
{}
],
"network": [
{
"option": "<string>",
"assets": [
{
"asset": "<string>",
"countries": []
}
],
"fiats": [
{
"fiat": "<string>",
"paymentMethods": [
{
"countries": []
}
]
}
]
}
],
"schema": {},
"documents": [
{
"documents": []
}
],
"id": "<string>",
"incompleteReasons": [
"<string>"
],
"metadata": {},
"canResync": true,
"canDelete": true,
"rejectionReasons": [
{
"description": "<string>",
"pfiMessage": "<string>"
}
],
"businessIdentityId": "<string>"
}Get a Compliance Check by id
Retrieve a Compliance Check by its unique identification. Returns 404 if the Compliance Check does not exist.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
AF, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CD, CG, CK, CR, HR, CU, CW, CY, CZ, CI, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, MK, RO, RU, RW, RE, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, UM, US, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW, AX, ZZ POL, USDT_POLYGON, USDC_POLYGON, SBC_POLYGON, ETH, USDT_ETHEREUM, USDC_ETHEREUM, PYUSD_ETHEREUM, DAI_ETHEREUM, SBC_ETHEREUM, TRX, USDT_TRON, SBC_TRON, ETH_BASE, USDC_BASE, USDB_BASE, EURC_BASE, SBC_BASE, ETH_OPTIMISM, USDT_OPTIMISM, USDC_OPTIMISM, BTC, CELO, CUSD_CELO, USDC_CELO, SBC_CELO, SOL, USDC_SOLANA, USDT_SOLANA, PYUSD_SOLANA, USDP_SOLANA, EURC_SOLANA, SBC_SOLANA Fiat currency identifier supported by the PFI account.
USD, EUR, BRL, ARS, MXN, COP, CLP, PEN, PYG, DOP, UYU, BOB, CRC, GTQ, BWP, CDF, GHS, KES, MWK, NGN, RWF, ZAR, TZS, UGX, ZMW, XOF, XAF, AUD, BDT, CAD, INR, JPY, NPR, PKR, PHP, SGD, GBP, CNY, HKD, IDR, MYR, KRW, LKR, THB, TRY, VND, CZK, DKK, NOK, PLN, RON, RSD, SEK, CHF, AED, SAR, QAR, ILS, EGP, JOD, HNL, JMD, NZD, DZD, GMD, GNF, HTG, MAD, TND ACH, Wire, Sepa, Swift, Card, MobileMoney, PIX, TED, PSE, SPEI, COELSA, Transfers30, SPAV, CCE, SPI, LBTR, SINPE, Transfer365, NIP, GhIPSS, BankTransfer, EFT, RTP, BECS, FPS, IMPS_FIRC, Breb, NPSS, MADA, ZAHAV, IBFT, SIC Deposit, Withdrawal, VirtualAccount, Exchange Source account whose owning business identity scopes the compliance checks (providers with per-business-identity credentials). Same account passed as sourceAccountId on deposits.
25Response
Successfully retrieved Compliance Check data.
Bridge_base, Bridge_sepa, Koywe_base, Kotanipay_base, Bitso_base, Yellowcard_base, TraceFinance_base, HoneyCoin_base, BlindPay_base, BlindPay_enhanced, Finity_base, Ares_base, Hercle_base, Infinia_base, Walapay_base, Yativo_base, Capa_base, Bivo_base, Cobre_base, Brale_base, Juicyway_base, Onmeta_base, Onmeta_ind, Alfred_base, Demo_base, CrissCross_base, TripleA_base Deprecated. Use type instead. This field is kept for backward compatibility and will be removed in future versions.
compliance-fee5483c, compliance-3d0947c0, compliance-9f5059c4, compliance-4a8e9f3b, compliance-7b9d2c6a, compliance-de8e1920, compliance-t7f4b831, compliance-h9x7p245, compliance-432704, compliance-15bc9ec4, compliance-a96ad46a, compliance-4c347d0a, compliance-ff6f0b66, compliance-bbd0abdf, compliance-d4a0bea2, compliance-ce1ef04d, compliance-191335b3, compliance-f47aa1e0, compliance-b92f0ad3, compliance-f44d3582, compliance-5402f18a, compliance-dbd2a55c, compliance-2c7e1a9d, compliance-cc0a4f2b, compliance-3a7e9d1f Bridge_base, Bridge_sepa, Koywe_base, Kotanipay_base, Bitso_base, Yellowcard_base, TraceFinance_base, HoneyCoin_base, BlindPay_base, BlindPay_enhanced, Finity_base, Ares_base, Hercle_base, Infinia_base, Walapay_base, Yativo_base, Capa_base, Bivo_base, Cobre_base, Brale_base, Juicyway_base, Onmeta_base, Onmeta_ind, Alfred_base, Demo_base, CrissCross_base, TripleA_base Deprecated. Use incorporatedTypes instead. This field is kept for backward compatibility and will be removed in future versions.
Deprecated. Use type instead. This field is kept for backward compatibility and will be removed in future versions.
compliance-fee5483c, compliance-3d0947c0, compliance-9f5059c4, compliance-4a8e9f3b, compliance-7b9d2c6a, compliance-de8e1920, compliance-t7f4b831, compliance-h9x7p245, compliance-432704, compliance-15bc9ec4, compliance-a96ad46a, compliance-4c347d0a, compliance-ff6f0b66, compliance-bbd0abdf, compliance-d4a0bea2, compliance-ce1ef04d, compliance-191335b3, compliance-f47aa1e0, compliance-b92f0ad3, compliance-f44d3582, compliance-5402f18a, compliance-dbd2a55c, compliance-2c7e1a9d, compliance-cc0a4f2b, compliance-3a7e9d1f Deprecated. Use network for the hierarchical shape.
Show child attributes
Show child attributes
Hierarchical view of options accessible under this compliance type — same shape as GET /v1/organizations/network. Prefer this over coverage.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Deprecated. Use type instead. This field is kept for backward compatibility and will be removed in future versions.
Deprecated. Use status instead. This field is kept for backward compatibility and will be removed in future versions.
NotStarted, Started, Incomplete, AwaitingUbo, UnderReview, Rejected, PreApproved, Approved, Cancelled Deprecated. Use status instead. This field is kept for backward compatibility and will be removed in future versions.
NotStarted, Started, Incomplete, AwaitingUbo, UnderReview, Rejected, PreApproved, Approved, Cancelled Reasons of Incomplete status from PFI. List of missed identity data;
Whether the approved identity can be re-synced to the provider after an edit. True only for providers that support pushing identity updates and when the check is approved.
Whether this compliance's customer can be deleted at the provider. True only for providers that support customer deletion and when a provider customer exists.
Reasons of Rejected status from PFI.
Show child attributes
Show child attributes
Business identity whose provider credentials performed the screening. Null for organization-scoped checks.
Was this page helpful?